/*
   client/action.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#include "client/action.h"

namespace client
{

Action::Action(const char *name, Identifier action, const char *description)
{
	_name.assign(name);
	_id = action;

	set_description(description);
}

Action::~Action()
{
}

void Action::set_description(const char *description)
{
	if (description)
	{
		_description.assign(description);
	}
	else
	{
		_description.clear();
	}
}

} // namespace client
