/*
   client/hudenginestatus.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_HUDENGINESTATUS_H__
#define __INCLUDED_CLIENT_HUDENGINESTATUS_H__

#include "ui/widget.h"

namespace ui
{
class IconButton;
}

namespace client
{

/**
 * @brief A Wdiget used by the HUD to draw the engine status
 * */

class HUDEngineStatus : public ui::Widget
{
public:
	/// create a new HUD widget
	HUDEngineStatus(ui::Widget *parent = 0);
	
	/// destructor
	virtual ~HUDEngineStatus();

protected:
	/// rearrange child widgets
	virtual void resize();

	/// draw hud elements
	virtual void draw();

	/// receive keyboard events
	virtual bool on_keypress(const int key, const unsigned int modifier);
	
private:
	ui::Palette	*_button_auto_palette;
	ui::Palette	*_button_lock_palette;
	
	ui::IconButton	*_button_auto;
	ui::IconButton	*_button_lock;
};

}

#endif // __INCLUDED_CLIENT_HUDENGINESTATUS_H__

