/*
   client/targeticonbutton.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_TARGETICONBUTTON_H__
#define __INCLUDED_CLIENT_TARGETICONBUTTON_H__

#include "ui/iconbutton.h"

namespace client
{

class TargetIconButton : public ui::IconButton
{

public:
	/// special icon button that sends target '@'  commands.
	TargetIconButton(Widget *parent, const char *icon, const char *command, unsigned int flags = 0);

protected:
	/**
	 * @brief draw event handler
	 * */
	virtual void draw();
	
	/**
	 * @brief mouse button press event handler
	 * */
	virtual bool on_mousepress(const unsigned int button);

private:
	unsigned int	entity_flags;
};

}

#endif // __INCLUDED_CLIENT_TARGETICONBUTTON_H__
