/*
   core/entityglobe.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include <vector>
#include <iomanip>
#include <cstring>

#include "core/entityglobe.h"

namespace core
{

/*----- EntityGlobe ------------------------------------------------ */

EntityGlobe::EntityGlobe() : Entity()
{
	set_shape(Sphere);
	
	entity_texture_id = 0;
	entity_corona_id = 0;
	entity_rings_id = 0;
	
	entity_rotationspeed = 0;
}

EntityGlobe::EntityGlobe(std::istream & is) : Entity(is)
{
	set_shape(Sphere);
	
	entity_texture_id = 0;
	entity_corona_id = 0;
	entity_rings_id = 0;
	
	entity_rotationspeed = 0;
}

EntityGlobe::~EntityGlobe()
{
}

void EntityGlobe::serialize_server_create(std::ostream & os) const
{
	Entity::serialize_server_create(os);
	os << entity_rotationspeed  << " ";
	os << "\"" << texturename() << "\" ";
	os << "\"" << coronaname() << "\" ";
}

void EntityGlobe::receive_server_create(std::istream &is)
{
	Entity::receive_server_create(is);

	is >> entity_rotationspeed;

	std::string n;
	char c;
	
	// read texture name
	while ((is.get(c)) && (c != '"'));
	while ((is.get(c)) && (c != '"'))
		n += c;
	
	entity_texturename.assign(n);
	
	// read corona name
	n.clear();
	while ((is.get(c)) && (c != '"'));
	while ((is.get(c)) && (c != '"'))
		n += c;
	entity_coronaname.assign(n);
}

} // namespace core
