/*
   core/core.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_RANGE_H__
#define __INCLUDED_CORE_RANGE_H__

namespace core
{

/**
 * @brief range and scale constants
 * These global constants are shared between client and server.
 * Changing them is generally a bad idea.
 */
namespace range
{

/**
 * @brief maximal visible range (world distance)
 * This is the distance of the frustum far plane,
 * the maximal distance at which entities can be drawn.
 * the maximal radar range
 * and the maximal range to send entity updates
 */
const float maxdistance = 500.0f;

/**
 * @brief maximal range in which graphics effects are drawn
 * */
const float fxdistance = 200.0f;

/**
 * @brief reputation limit to indicate hostile targets
 * */
const float reputation_hostile = -70.0f;

/**
 * @brief reputation limit to indicate friendly targets
 * */
const float reputation_friendly = 70.0f;

}

}

#endif // __INCLUDED_CORE_RANGE_H__

