/*
   base/cargo.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_CARGO_H__
#define __INCLUDED_BASE_CARGO_H__

#include "core/info.h"

namespace game
{
class Cargo : public core::Info {

public:
	Cargo();
	~Cargo();
	
	/* --- static registry functions ---------------------------------- */
	
	static Cargo *find(const std::string & label);
	
	static bool init();
	
	static void done();
	
	static void list();
	
	static inline const core::InfoType *infotype() {
		return cargo_infotype;
	}

private:
	static core::InfoType *cargo_infotype;
};

} // namespace game

#endif // __INCLUDED_BASE_CARGO_H__
