/*
   base/character.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "base/character.h"

namespace game
{

Character::Character() : core::Label()
{
	_spawn = 0;
	_faction  = 0;
	_shipmodel = 0;
	_cannon = 0;
	_turret = 0;
	
	_level = 1;
	_credits = 0;
}

Character::Character(const Character & other) : core::Label(other)
{
	_spawn = other._spawn;
	_faction  = other._faction;
	_shipmodel = other._shipmodel;
	_cannon = other._cannon;
	_turret = other._turret;
	
	_level = other._level;
	_credits = other._credits;
}

Character::~Character()
{
}
	
void Character::set_spawn(core::Entity *spawn)
{
	_spawn = spawn;
}

void Character::set_faction(const Faction *faction)
{
	_faction = faction;
}
	
void Character::set_shipmodel(const ShipModel *shipmodel)
{
	_shipmodel = shipmodel;
}
	
void Character::set_cannon(const Weapon *cannon)
{
	_cannon = cannon;
}
	
void Character::set_turret(const Weapon *turret)
{
	_turret = turret;
}

void Character::set_level(const core::Level level)
{
	_level = level;
}

void Character::set_credits(const long credits)
{
	_credits = credits;
}
	
}	// namespace game