/*
   base/waypoint.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "base/waypoint.h"

namespace game {
		
WayPoint::WayPoint() {
	waypoint_target = 0;
	waypoint_cargo = 0;
	waypoint_dock = false;
}

WayPoint::~WayPoint() {
	waypoint_target = 0;
	waypoint_cargo = 0;
}

void WayPoint::set_target_label(const std::string &label)
{
	waypoint_target_label.assign(label);
}

void WayPoint::set_target(core::Entity *entity)
{
	waypoint_target = entity;
}

void WayPoint::set_dock(const bool dock)
{
	waypoint_dock = dock;
}

void WayPoint::set_cargo(Cargo *cargo)
{
	waypoint_cargo = cargo;
}

} //namespace game

