/*
   game/game.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "core/core.h"
#include "core/loader.h"
#include "game/game.h"
#include "game/base/game.h"
#include "game/example/example.h"
#include "game/intro/intro.h"
#include "sys/sys.h"

/// register game modules
void register_modules(bool register_noninteractive_modules)
{
	con_print << "^F" << core::name() << " " << core::version() << std::endl;
	
	con_print << "^BRegistering game modules..." << std::endl;

	// interactive modules
	core::Loader::add("base", game::factory);
	core::Loader::add("example", example::factory);

	// non-interactive modules
	if (register_noninteractive_modules) {
		core::Loader::add("intro", intro::factory);
	}
}
