/*
   math/functions.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "math/functions.h"

namespace math
{

const float DELTA = 10e-10;

float degrees180f(float angle)
{
	float r = angle;
	while (r - DELTA < -180.0f)
		r += 360.0f;
	while (r + DELTA > 180.0f)
		r -= 360.0f;
	return r;
}

float degrees360f(float angle)
{
	float r = angle;
	while (r - DELTA < 0)
		r += 360.0f;
	while (r + DELTA > 360.0f)
		r -= 360.0f;
	return r;
}

float sgnf(float value)
{
	if (value < 0)
		return -1;
	else if (value > 0)
		return 1;

	return 0;
}

} // namespace math
