/*
   render/particle.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "render/particle.h"


namespace render
{

/* ---- class Particle --------------------------------------------- */

Particle::Particle(const math::Vector3f &location, const unsigned long timestamp) : 
	particle_location(location)
{
	particle_timestamp = timestamp;
	
	particle_speed = 0.0f;
	particle_radius = 0.0f;
	
}

Particle::Particle(const math::Vector3f &location, const math::Axis &axis, const unsigned long timestamp) :
	particle_location(location), 
	particle_axis(axis)
{
	particle_timestamp = timestamp;
	
	particle_speed = 0.0f;
	particle_radius = 0.0f;
}

} //namespace render
