/*
   render/particleejectorscript.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "render/particleejectorscript.h"
#include "model/model.h"

namespace render
{

ParticleEjectorScript::ParticleEjectorScript()
{
	script_type = Sprite;
	script_interval = 100;
	script_cone = 0.0f;
	script_offset = 0.5f;
	script_lifespan = 1000;
	script_timeout = 0;
	script_acceleration = 0.0f;
	script_entity = false;
	script_entity_second = false;
	script_engine = false;
	script_impulse = false;
	script_thrust = false;
	script_explosion = false;
	script_cull = model::CullNone;
	script_spawn_radius = 0.0f;
	script_attached = false;
	script_scaled = false;
	
	script_color_interpolated = false;
}

ParticleEjectorScript::ParticleEjectorScript(const ParticleEjectorScript &other)
{
	script_type = other.type();
	script_interval = other.interval();
	script_cone = other.cone();
	script_spawn_radius = other.spawn_radius();
	script_offset = other.offset();
	script_lifespan = other.lifespan();
	script_timeout = other.timeout();
	script_acceleration = other.acceleration();
	script_entity = other.entity();
	script_entity_second = other.entity_second();
	script_engine = other.engine();
	script_impulse = other.impulse();
	script_thrust = other.thrust();
	script_explosion = other.explosion();
	script_cull = other.cull();
	script_attached = other.attached();
	script_scaled = other.scaled();
	script_color_interpolated = other.color_interpolated();
	
	script_texture.assign(other.texture());
	script_axis.assign(other.axis());
	script_radius_vec.assign(other.radius_vec());
	script_alpha_vec.assign(other.alpha_vec());
	script_speed_vec.assign(other.speed_vec());
	script_tailspeed_vec.assign(other.tailspeed_vec());
	script_color.assign(other.color());
	script_color_second.assign(other.color_second());
}

ParticleEjectorScript::~ParticleEjectorScript()
{
}

}