/*
   ui/bitmap.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_BITMAP_H__
#define __INCLUDED_UI_BITMAP_H__

#include "ui/widget.h"

namespace ui
{

class Bitmap : public Widget
{
public:
	Bitmap(Widget *parent, const char *texture = 0);
	~Bitmap();

	inline const std::string & texture() const {
		return bitmap_texture;
	}

	inline const math::Color & color() const {
		return bitmap_color;
	}
	
	inline const bool preserve_aspect() const {
		return bitmap_preserve_aspect;
	}

	void set_texture(const std::string & texture);
	
	void set_texture(const char *texture);

	void set_color(const math::Color &color);
	
	void set_preserve_aspect(const bool preserve_aspect);

	/// print bitmap description
	virtual void print(const size_t indent) const;

protected:
	/// draw the bitmap as background
	virtual void draw_background();

private:
	std::string	bitmap_texture;
	math::Color	bitmap_color;
	bool		bitmap_preserve_aspect;
};

}

#endif // __INCLUDED_UI_BITMAP_H__

